GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
gdcm::Printer Class Reference

Printer class. More...

`#include <gdcmPrinter.h>`

Inheritance diagram for gdcm::Printer:
[legend]
Collaboration diagram for gdcm::Printer:
[legend]

List of all members.

## Public Types

enum | PrintStyles { VERBOSE_STYLE = 0, CONDENSED_STYLE, XML }

## Public Member Functions

| Printer ()
| ~Printer ()
PrintStyles | GetPrintStyle () const
| Get PrintStyle value.
void | Print (std::ostream &os)
| Print.
void | PrintDataSet (const DataSet &ds, std::ostream &os, const std::string &s="")
| Print an individual dataset.
void | SetColor (bool c)
| Set color mode or not.
void | SetFile (File const &f)
| Set file.
void | SetStyle (PrintStyles ps)
| Set PrintStyle value.

## Protected Member Functions

VR | PrintDataElement (std::ostringstream &os, const Dicts &dicts, const DataSet &ds, const DataElement &de, std::ostream &out, std::string const &indent)
void | PrintSQ (const SequenceOfItems *sqi, std::ostream &os, std::string const &indent)

## Protected Attributes

const File * | F
VL | MaxPrintLength
PrintStyles | PrintStyle

## Detailed Description

Printer class.

## Member Enumeration Documentation

enum gdcm::Printer::PrintStyles

Enumerator:

  VERBOSE_STYLE |
  CONDENSED_STYLE |
  XML |

## Constructor & Destructor Documentation

gdcm::Printer::Printer | ( |  | ) |

gdcm::Printer::~Printer | ( |  | ) |

## Member Function Documentation

PrintStyles gdcm::Printer::GetPrintStyle | ( |  | ) | const`[inline]`

Get PrintStyle value.

void gdcm::Printer::Print | ( | std::ostream & | os | ) |

Print.

Reimplemented in gdcm::DictPrinter.

VR gdcm::Printer::PrintDataElement | ( | std::ostringstream & | os,
|  | const Dicts & | dicts,
|  | const DataSet & | ds,
|  | const DataElement & | de,
|  | std::ostream & | out,
|  | std::string const & | indent
| ) |  | `[protected]`

void gdcm::Printer::PrintDataSet | ( | const DataSet & | ds,
|  | std::ostream & | os,
|  | const std::string & | s = `""`
| ) |  |

Print an individual dataset.

void gdcm::Printer::PrintSQ | ( | const SequenceOfItems * | sqi,
|  | std::ostream & | os,
|  | std::string const & | indent
| ) |  | `[protected]`

void gdcm::Printer::SetColor | ( | bool | c | ) |

Set color mode or not.

void gdcm::Printer::SetFile | ( | File const & | f | ) | `[inline]`

Set file.

void gdcm::Printer::SetStyle | ( | PrintStyles | ps | ) | `[inline]`

Set PrintStyle value.

## Member Data Documentation

const File* gdcm::Printer::F`[protected]`

VL gdcm::Printer::MaxPrintLength`[protected]`

PrintStyles gdcm::Printer::PrintStyle`[protected]`

The documentation for this class was generated from the following file:

- gdcmPrinter.h